

.panel {
    position: absolute;
    top: 0;
    left: 100%;
    background: $panel;
    width: $panel-width;
    height: $panel-height;
    color: $panel-color;
    box-shadow: 5px 1px 5px rgba(0, 0, 0, 0.1),
            inset 1px 1px 5px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    border-left: 2px solid #253038;
    opacity: 1;
    transition: opacity .2s ease-out;

    &.hide {
        left: -$panel-width;
        opacity: 0;
        transition: all .25s .25s ease-out, opacity .25s linear;

        .panel-backdrop {
            display: none;
        }
    }

    .panel-backdrop {
        position: absolute;
        display: block;
        left: 100%;
        width: 100vw;
        height: 100%;
        background-color: rgba($black, .2);
    }

    .panel-top {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 12px;
        
        .panel-title {
            @include font-size($font-size-md);
            color: rgba($white, .7);
        }
    }

    .nav {
        padding: 12px 0;
        text-align: left;
        flex-direction: column;
        .nav-item {
            padding: $panel-navlink-padding;
            @include hover-focus-active {
                background: rgba(0, 0, 0, 0.05);
                cursor: pointer;
            }

            .nav-link {
                padding: 5px 0;
                font-size: $panel-navlink-font-size;
                position: relative;
                color: rgba($white, .7);

                @include hover-focus-active {
                    border: none;
                    color: rgba($white, .7);
                }

                .badge {
                    position: absolute;
                    top: 50%;
                    left: 99%;
                    transform: translateY(-50%);
                }

                i {
                    position: absolute;
                    right: 5%;
                    font-size: 22px;
                    line-height: $font-size-lg;
                    color: #54667a;
                }
            }

            &.caption-header {
                padding: 0;
                margin-bottom: 5px;
                @include hover-focus-active {
                    background: transparent;
                }

                .nav-link {
                    border-bottom: none;
                    &.caption {
                        padding: $panel-caption-padding;
                        @include font-size($font-size-xs);
                        font-weight: $font-weight-medium;
                        background: rgba($black, .1);
                        color: #0bb;
                        width: 90%;
                        margin: 0 auto;
                        cursor: default;
                        text-align: center;
                    }
                }
            }
        }
    }

    .no-data-info {
        display: flex;
        flex-wrap: wrap;
        margin-bottom: auto;
        color: $gray-lightest;

        .info-icon {
            flex-basis: 30%;
            font-size: 44px;
            line-height: 1.5;
            text-align: center;
            color: #EFB43A;
        }

        .info-body {
            flex-basis: 70%;
            h1 {
                text-indent: 15px;
                margin-top: -10px;
            }
        }

        .info-footer {
            flex-basis: 100%;
            text-align: center;
            padding: 0 10px;
            font-size: 10px;
        }
    }
}

@media screen and (min-width: 0) and (max-width: 767px) {
    .panel {
        @include full-screen;
        top: 0;
        left: 0;
        transition: all .3s ease-out;

        &.hide {
            left: -100%;
        }

        .panel-top {
            small {
                position: relative;
                top: 5px;
                font-size: 18px;
                line-height: 1;
            }
        }

        .nav {
            .nav-item {
                box-shadow: none;
                @include hover-focus-active {
                    border: none;
                }

                .nav-link {
                    text-align: center;

                    i {
                        width: 25px;
                        left: 5%;
                    }
                }

                &.caption-header {
                    @include hover-focus-active {
                        background: transparent;
                    }

                    .nav-link {
                        &.caption {
                            width: 90%;
                            border-radius: 2px;
                            margin: 0 auto;
                            text-align: center;
                            font-size: 11px;
                        }
                    }
                }
            }
        }
    }
}

